"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Container_1 = require("../Container");
/**
 * Injects a service into a class property or constructor parameter.
 */
function Inject(typeOrName) {
    return function (target, propertyName, index) {
        if (!typeOrName)
            typeOrName = function () { return Reflect.getMetadata("design:type", target, propertyName); };
        Container_1.Container.registerHandler({
            object: target,
            propertyName: propertyName,
            index: index,
            value: function () { return Container_1.Container.get(typeof typeOrName === "string" ? typeOrName : typeOrName()); }
        });
    };
}
exports.Inject = Inject;

//# sourceMappingURL=Inject.js.map
